# Starting off
1. [A Tour of Go](https://tour.golang.org/welcome/1): This is an interactive guide to learning some of the basics.  You can code right in the web browser and see it work.
2. [The Go Playground](https://play.golang.com/): This is what’s used in A Tour of Go to code in the browser.  In addition to coding in the browser, you can share the code.  This is good for a couple things:
    a. Testing how something in the language works.
    b. Sharing code.  This is the standard for passing along snippets of code.  If you have any questions, create an example and then ask your question based on that.
3. [Effective Go](https://golang.org/doc/effective_go.html): I recommend this as your first read.  It covers everything you need to know to start writing useful programs.
4. [The Go Programming Language (Book)](http://www.gopl.io/): This covers almost all of the language.  If you are still interested after Effective Go and playing around with some code in the Playground, give this a read.
5. [GoogleTechTalks - The Go Programming Language (YouTube)](https://www.youtube.com/watch?v=rKnDgT73v8s): The video is old, but almost all the information in there is still accurate and useful.
6. [Install Go](https://golang.org/doc/install): This has instructions for all Operating Systems that Go supports to install and use Go.
7. [Use an IDE(Integrated Development Environment)](https://golang.org/doc/editors.html): You can write programs using Notepad if you want to, but as your programs get bigger, you’ll want to use an IDE.  I recommend [GoLand](https://www.jetbrains.com/go/).  I’ve been using it for several years and I’ve found it to be the most productive.

# Keeping up
1. [Go Blog](https://blog.golang.org/): The articles are not frequent, but are high quality.
2. [Twitter](https://twitter.com/golang): The account tweets when there are new blog posts and other important info.
3. [GoLang Weekly Mailing List](https://golangweekly.com/): They do most of the work for you on keeping up on the language.
